Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: portsmodel::Port::Properties Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
portsmodel::Port::Properties Struct Reference

Port properties. More...

## Public Attributes
string | name
| user defineable name - NOT USED RIGHT NOW!
string | label
| label on device
DetectionMode | mode
| detection mode
string | detectedDeviceType
| detected device type or empty if nothing connected
string | detectedDeviceName
| detected device name or empty if nothing connected
DeviceTypeId | pinnedDeviceTypeId
| contains specific device type ID in pinned mode, or UNSPECIFIED if not pinned
DeviceTypeId | detectedDeviceTypeId
| detected device type ID or UNSPECIFIED if nothing connected
vector< DeviceTypeWithId > | detectableDeviceTypes
| all detectable devices of this port as ID-string pairs
string | topoId
| short id depending on position, e.g. 'REMOTE-HUB-1' or 'USB-2-1-4'
string | serialId
| serial number of device, e.g. for USB Dongle, maybe empty
peripheral::PortType | portType
| machine-readable port type information
vector< peripheral::PosElement > | position
| full machine-readable position information

## Detailed Description

Port properties.

Definition at line 57 of file Port.idl.

## Member Data Documentation

## ◆ detectableDeviceTypes

vector<DeviceTypeWithId> portsmodel::Port::Properties::detectableDeviceTypes

all detectable devices of this port as ID-string pairs

Definition at line 65 of file Port.idl.

## ◆ detectedDeviceName

string portsmodel::Port::Properties::detectedDeviceName

detected device name or empty if nothing connected

Definition at line 62 of file Port.idl.

## ◆ detectedDeviceType

string portsmodel::Port::Properties::detectedDeviceType

detected device type or empty if nothing connected

Definition at line 61 of file Port.idl.

## ◆ detectedDeviceTypeId

DeviceTypeId portsmodel::Port::Properties::detectedDeviceTypeId

detected device type ID or UNSPECIFIED if nothing connected

Definition at line 64 of file Port.idl.

## ◆ label

string portsmodel::Port::Properties::label

label on device

Definition at line 59 of file Port.idl.

## ◆ mode

DetectionMode portsmodel::Port::Properties::mode

detection mode

Definition at line 60 of file Port.idl.

## ◆ name

string portsmodel::Port::Properties::name

user defineable name - NOT USED RIGHT NOW!

Definition at line 58 of file Port.idl.

## ◆ pinnedDeviceTypeId

DeviceTypeId portsmodel::Port::Properties::pinnedDeviceTypeId

contains specific device type ID in pinned mode, or UNSPECIFIED if not pinned

Definition at line 63 of file Port.idl.

## ◆ portType

peripheral::PortType portsmodel::Port::Properties::portType

machine-readable port type information

Definition at line 68 of file Port.idl.

## ◆ position

vector<peripheral::PosElement> portsmodel::Port::Properties::position

full machine-readable position information

Definition at line 69 of file Port.idl.

## ◆ serialId

string portsmodel::Port::Properties::serialId

serial number of device, e.g. for USB Dongle, maybe empty

Definition at line 67 of file Port.idl.

## ◆ topoId

string portsmodel::Port::Properties::topoId

short id depending on position, e.g. 'REMOTE-HUB-1' or 'USB-2-1-4'

Definition at line 66 of file Port.idl.

The documentation for this struct was generated from the following file:

- Port.idl